%%
%Initialisation variables


fs=160000; %frequence d'echantillonage (Hz)
nbit=16;   % nombre de bits par echantillon
mode=2;   %pour dire streo
D=10;        % dure d'enregistrement (s)

L=D*fs;
T=1/fs;
t=(0:D*fs-1)/fs;

%%
%Enregistrement signal

enregistrement=audiorecorder(fs, nbit, mode);
recordblocking(enregistrement, D);
x=getaudiodata(enregistrement);

y=(x(:,1));


%%
%Visualisation signal

plot(t,y);
title('');
xlabel('t (en sec)');
ylabel('Y(t)');

%%
    subplot(2,1,1)
    plot(t,y);
    title('')
    ylabel('Y(t)');
    
    [a b]=fftfonc(y,fs,2,7);
    subplot(2,1,2)
    plot(a,b)
    title('');
    xlabel('f (Hz)');
    xlim([0 5000])
    ylim([0 1])

%%
%Localisation des chocs

T=[[0.4887,0.5359];[0.5371,0.575];[0.5769,0.6081];[0.6092,0.6339];[0.6358,0.6569];[0.658,0.6768]]

for i=1:6;
    subplot(2,3,i)
    ta=T(i,1);
    tb=T(i,2);
    [a b]=fftfonc(y,fs,ta,tb);
    plot(a,b)
    xlim([0 5000])
    ylim([0 1])
end
%%
%Plot de la FFT

subplot(2,2,1)
plot(fB1,fftB1)
title('f');
xlabel('f(Hz)');
ylabel('Y(f)');
ylim([0 0.5])

subplot(2,1,2)
plot(fB2,fftB2)
title('f');
xlabel('f(Hz)');
ylabel('Y(f)');
ylim([0 0.5])

%% 



%Etude de la periode des chocs

T=[0.0484 0.0398 0.0324 0.0265  0.0223  0.0190 0.0173];

subplot(2,1,1)
plot(T)


subplot(2,1,2)
loglog(T)

%%
